Bug 891458 - Document List search returning incorrect results
Document List search returning incorrect results
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic, Usability (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.1
Assigned To: Patrick Huang
Carlos Munoz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-02 20:10 EST by Carlos Munoz
Modified: 2013-02-25 23:06 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.1-SNAPSHOT (20130103-1432)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 23:06:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2013-01-02 20:10:56 EST
Description of problem:
Document list search is returning incorrect results when doing multiple continuous searches.

Version-Release number of selected component (if applicable):
2.1-SNAPSHOT

How reproducible:
Always

Steps to Reproduce:
1. Go to the document list on a Project with multiple documents and where its documents reside under directories.
2. Make sure the "Exact Match" checkbox is not checked.
3. Do a search for a partial word contained in the name or directory of a file.
4. Make sure the above search returns results.
5. Change the search term and hit Enter to search again.
  
Actual results:
The returned results include some files that should not be there. From my tests it includes documents that were initially returned in the first search (Steps 1-3)

Expected results:
The search results on step 5 should only return documents that contain the search term in the text entry.


Additional info:
Comment 2 Patrick Huang 2013-01-02 21:37:37 EST
committed into master:
https://github.com/zanata/zanata/commit/4421a01255152929bdd5a035ab414c7e4ab7cf27
Comment 3 Ding-Yi Chen 2013-01-06 23:39:55 EST
VERIFIED with Zanata version 2.1-SNAPSHOT (20130107-0032)

Note You need to log in before you can comment on or make changes to this bug.